classification
Title: email.charset: to_splittable and from_splittable are not there anymore!
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: barry, docs@python, martin.panter, r.david.murray
Priority: normal Keywords: easy, patch

Created on 2016-02-25 22:48 by martin.panter, last changed 2018-10-19 00:14 by r.david.murray. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9865 merged bradengroom, 2018-10-14 01:44
Messages (3)
msg260883 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-02-25 22:48
In /Doc/library/email.charset.rst, the descriptions of the to_splittable() and from_splittable() methods are disabled. The comment saying they are not there is presumably referring to the fact that the methods were removed from the Python 3 implementation. They were removed in r57697, and the documentation was adjusted in revision f65de36f185c.

Perhaps the two descriptions should just be deleted from the documentation?
msg328011 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2018-10-19 00:13
New changeset 5be00247ae0de2e24dd14bbe4d9ca159434a1710 by R. David Murray (Braden Groom) in branch 'master':
bpo-26441: Remove documentation for deleted to_splittable and from_splittable methods (#9865)
https://github.com/python/cpython/commit/5be00247ae0de2e24dd14bbe4d9ca159434a1710
msg328012 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2018-10-19 00:14
Thanks, Braden.
History
Date User Action Args
2018-10-19 00:14:38r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg328012

stage: patch review -> resolved
2018-10-19 00:13:29r.david.murraysetmessages: + msg328011
2018-10-14 01:44:43bradengroomsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request9234
2018-10-09 23:41:47cheryl.sabellasetassignee: docs@python
components: + Documentation, - email
versions: + Python 3.8, - Python 3.5, Python 3.6
keywords: + easy
nosy: + docs@python

type: enhancement
stage: needs patch
2016-02-25 22:48:00martin.pantercreate